import micro_request from '@/utils/micro_request'

const basePath = process.env.VUE_APP_ParentPath
console.log(basePath)
export default {
  login(query) {
    return micro_request.postRequest(basePath, 'Auth', 'Login', query)
  },
  logout(query) {
    return micro_request.postRequest(basePath, 'Auth', 'LogOut', query)
  },
  // 获取列表
  getList(query) {
    return micro_request.postRequest(basePath, 'Distributor', 'GetList', query)
  },
  getTree(query) {
    return micro_request.postRequest(basePath, 'District', 'GetRegionList', query)
  },
  getProvinceInfo(query) {
    return micro_request.postRequest(basePath, 'District', 'GetProvinceInfo', query)
  },
  //创建经销商
  doAdd(query) {
    return micro_request.postRequest(basePath, 'Distributor', 'Create', query)
  },
  //修改经销商
  doEdit(query) {
    return micro_request.postRequest(basePath, 'Distributor', 'UpdateById', query)
  },
  // 删除
  doDelete(query) {
    return micro_request.postRequest(basePath, 'Distributor', 'DeleteByIds', query)
  },
}
